Get a webhook
Returns a single webhook by ID.
get
Authorizations
Api-TokenstringRequired
API token in Api-Token header
Path parameters
webhook_idintegerRequiredExample:
Webhook ID
1Responses
200
Webhook details
application/json
401
Returns unauthorized error message. Check your credentials.
application/json
403
Returns forbidden error message. Check your permissions.
application/json
404
Resource not found
application/json
get/api/webhooks/{webhook_id}
curl -X GET https://mailtrap.io/api/webhooks/{webhook_id} \
-H 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"id": 1,
"url": "https://example.com/mailtrap/webhooks",
"active": true,
"webhook_type": "email_sending",
"payload_format": "json",
"sending_stream": "transactional",
"domain_id": 435,
"event_types": [
"delivery",
"bounce"
]
}
}Last updated
Was this helpful?

